const config = {
  development: {
    authApiDomain: 'http://localhost:8800/api',
    baseApiDomain: 'http://localhost:8800/api',
  },
  qa: {
    authApiDomain: 'http://165.232.161.4/api',
    baseApiDomain: 'http://165.232.161.4/api',
  },
  stage: {
    authApiDomain: 'https://dics.com.vn/api',
    baseApiDomain: 'https://dics.com.vn/api',
  },
  production: {
    authApiDomain: 'http://dics.vn/api',
    baseApiDomain: 'http://dics.vn/api',
  },
};

const env =
  window.env?.REACT_APP_FRONTEND_ENVIRONMENT ||
  process.env.REACT_APP_FRONTEND_ENVIRONMENT ||
  'development';

export default config[env]
