import react, { useState, useEffect } from 'react'
import {
  CModal,
  CModalHeader,
  CModalBody,
  CModalFooter,
  CButton,
} from '@coreui/react'

export default ({ isShow, cancel, yes }) => {
  return (
    <CModal
      show={isShow}
      onClose={cancel}
      size="lg"
    >
      <CModalHeader>
        <h3>Clear Un-process media</h3>
      </CModalHeader>
      <CModalBody>
        <div className="">This action will clear un-process media when uploaded. Do you still want to do it?</div>
      </CModalBody>
      <CModalFooter>
        <CButton type="button" color="danger" onClick={yes}>Yes</CButton>{' '}
        <CButton
          type="button"
          color="secondary"
          onClick={cancel}
        >No</CButton>
      </CModalFooter>
    </CModal>
  )
}