import apiRequest from '../request'
import { configs as configPaths } from '../apiPaths'

export const getConfigs = async () => {
  const result = await apiRequest.get(configPaths.getConfigs())
  return result
}

export const getList = async () => {
  const result = await apiRequest.get(configPaths.getList())
  return result
}

export const update = async (data) => {
  const result = await apiRequest.put(configPaths.updateConfigs(), data)
  return result
}