import apiRequest from '../request'
import { dashboard as dashboardPaths } from '../apiPaths'

export const getTopContents = async (query) => {
  const result = await apiRequest.get(dashboardPaths.getTopContents(), {params: query})
  return result
}

export const getTopProviders = async (query) => {
  const result = await apiRequest.get(dashboardPaths.getTopProviders(), {params: query})
  return result
}

export const getExpireContents = async (query) => {
  const result = await apiRequest.get(dashboardPaths.getExpireContents(), {params: query})
  return result
}

export const getViewCharts = async (query) => {
  const result = await apiRequest.get(dashboardPaths.getViewCharts(), {params: query})
  return result
}

export const getTotalResources = async (query) => {
  const result = await apiRequest.get(dashboardPaths.getTotalResources(), {params: query})
  return result
}
