export const MODELS = {
  USERS: 'USERS',
  USER_DETAILS: 'USER_DETAILS',
  PROVIDERS: 'PROVIDERS',
  PROVIDER_DETAILS: 'PROVIDER_DETAILS',
  ALBUMS: 'ALBUMS',
  ALBUM_DETAILS: 'ALBUM_DETAILS',
  ARTISTS: 'ARTISTS',
  ARTIST_DETAILS: 'ARTIST_DETAILS',
  GENRES: 'GENRES',
  GENRE_DETAILS: 'GENRE_DETAILS',
  MEDIA: 'MEDIA',
  MEDIUM_DETAILS: 'MEDIUM_DETAILS',
  PERMISSIONS: 'PERMISSIONS',
  PERMISSION_DETAILS: 'PERMISSION_DETAILS',
}

export const ACTIONS = {
  VIEW: 'VIEW',
  EDIT: 'EDIT',
  DELETE: 'DELETE'
}

export const actionValues = {
  [ACTIONS.VIEW]: 1,
  [ACTIONS.EDIT]: 2,
  [ACTIONS.DELETE]: 4
}
export const roles = [
  {name: 'SUPER_ADMIN', level: 0, value: 'SUPER_ADMIN'},
  {name: 'ADMIN', level: 1, value: 'ADMIN'},
  {name: 'MANAGER', level: 2, value: 'MANAGER'},
  {name: 'GUESS', level: 3, value: 'GUESS'},
]

export const CountryList = ["Afghanistan", "Albania", "Algeria", "Andorra", "Angola", "Antigua & Deps", "Argentina", "Armenia", "Australia", "Austria", "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus", "Belgium", "Belize", "Benin", "Bhutan", "Bolivia", "Bosnia Herzegovina", "Botswana", "Brazil", "Brunei", "Bulgaria", "Burkina", "Burundi", "Cambodia", "Cameroon", "Canada", "Cape Verde", "Central African Rep", "Chad", "Chile", "China", "Colombia", "Comoros", "Congo", "Congo {Democratic Rep}", "Costa Rica", "Croatia", "Cuba", "Cyprus", "Czech Republic", "Denmark", "Djibouti", "Dominica", "Dominican Republic", "East Timor", "Ecuador", "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", "Estonia", "Ethiopia", "Fiji", "Finland", "France", "Gabon", "Gambia", "Georgia", "Germany", "Ghana", "Greece", "Grenada", "Guatemala", "Guinea", "Guinea-Bissau", "Guyana", "Haiti", "Honduras", "Hungary", "Iceland", "India", "Indonesia", "Iran", "Iraq", "Ireland {Republic}", "Israel", "Italy", "Ivory Coast", "Jamaica", "Japan", "Jordan", "Kazakhstan", "Kenya", "Kiribati", "Korea North", "Korea South", "Kosovo", "Kuwait", "Kyrgyzstan", "Laos", "Latvia", "Lebanon", "Lesotho", "Liberia", "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Macedonia", "Madagascar", "Malawi", "Malaysia", "Maldives", "Mali", "Malta", "Marshall Islands", "Mauritania", "Mauritius", "Mexico", "Micronesia", "Moldova", "Monaco", "Mongolia", "Montenegro", "Morocco", "Mozambique", "Myanmar, {Burma}", "Namibia", "Nauru", "Nepal", "Netherlands", "New Zealand", "Nicaragua", "Niger", "Nigeria", "Norway", "Oman", "Pakistan", "Palau", "Panama", "Papua New Guinea", "Paraguay", "Peru", "Philippines", "Poland", "Portugal", "Qatar", "Romania", "Russian Federation", "Rwanda", "St Kitts & Nevis", "St Lucia", "Saint Vincent & the Grenadines", "Samoa", "San Marino", "Sao Tome & Principe", "Saudi Arabia", "Senegal", "Serbia", "Seychelles", "Sierra Leone", "Singapore", "Slovakia", "Slovenia", "Solomon Islands", "Somalia", "South Africa", "South Sudan", "Spain", "Sri Lanka", "Sudan", "Suriname", "Swaziland", "Sweden", "Switzerland", "Syria", "Taiwan", "Tajikistan", "Tanzania", "Thailand", "Togo", "Tonga", "Trinidad & Tobago", "Tunisia", "Turkey", "Turkmenistan", "Tuvalu", "Uganda", "Ukraine", "United Arab Emirates", "United Kingdom", "United States", "Uruguay", "Uzbekistan", "Vanuatu", "Vatican City", "Venezuela", "Việt Nam", "Yemen", "Zambia", "Zimbabwe"];

export const businessTypes = [{
  name: 'Business', value: 'Business',
}, {
  name: 'Individual', value: 'Individual',
}]

export const ContentTypes = {
  media: 'media',
  album: 'album',
}